## infnoise 0.2.6+dfsg

=== software/Makefile ===
GIT_VERSION := $(shell git --no-pager describe --tags --always)
GIT_COMMIT  := $(shell git rev-parse --verify HEAD)
GIT_DATE    := $(firstword $(shell git --no-pager show --date=iso-strict --format="%ad" --name-only))

PREFIX = $(DESTDIR)/usr/local

CFLAGS = -Wall -Wextra -Werror -std=c99 -O3 -I Keccak -I /usr/include/libftdi1 \
 -DGIT_VERSION=\"$(GIT_VERSION)\"\
 -DGIT_COMMIT=\"$(GIT_COMMIT)\"\
 -DGIT_DATE=\"$(GIT_DATE)\"\
 -DBUILD_DATE=\"$(BUILD_DATE)\"

FTDI := $(shell libftdi-config --libs)

all: infnoise

infnoise: infnoise.c infnoise.h healthcheck.c writeentropy.c daemon.c Keccak/KeccakF-1600-reference.c Keccak/brg_endian.h
	$(CC) $(CFLAGS) -o infnoise infnoise.c healthcheck.c writeentropy.c daemon.c Keccak/KeccakF-1600-reference.c $(FTDI) -lm -lrt

clean:
	$(RM) infnoise

install:
	install -d $(PREFIX)/sbin
	install -m 0755 infnoise $(PREFIX)/sbin/
	install -d $(PREFIX)/lib/udev/rules.d/
	install -m 0644 init_scripts/75-infnoise.rules $(PREFIX)/lib/udev/rules.d/
	install -d $(PREFIX)/lib/systemd/system
	install -m 0644 init_scripts/infnoise.service $(PREFIX)/lib/systemd/system

postinstall:
	systemctl restart systemd-udevd
	systemctl enable infnoise

=== software/tools/Makefile ===
CFLAGS=-Wall -Wextra -Werror -std=c99 -O3

all: passgen healthcheck findlongest entcheck hex2bin bin2hex flipbits dice

passgen: passgen.c
	$(CC) $(CFLAGS) -o passgen passgen.c -lm

healthcheck: ../healthcheck.c
	$(CC) $(CFLAGS) -D TEST_HEALTHCHECK -o healthcheck ../healthcheck.c -lm -lrt

entcheck: entcheck.c
	$(CC) $(CFLAGS) -o entcheck entcheck.c -lm -lrt

findlongest: findlongest.c
	$(CC) $(CFLAGS) -o findlongest findlongest.c

hex2bin: hex2bin.c
	$(CC) $(CFLAGS) -o hex2bin hex2bin.c

bin2hex: bin2hex.c
	$(CC) $(CFLAGS) -o bin2hex bin2hex.c

flipbits: flipbits.c
	$(CC) $(CFLAGS) -o flipbits flipbits.c

dice: dice.c
	$(CC) $(CFLAGS) -o dice dice.c

clean:
	$(RM) passgen healthcheck findlongest entcheck hex2bin bin2hex flipbits dice

=== debian/changelog ===
infnoise (0.2.6+dfsg-1) unstable; urgency=medium

  * Initial release. Closes: #901443.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Jun 2018 14:50:16 +0200

=== debian/control ===
Source: infnoise
Section: utils
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends:
 debhelper (>= 11~),
 libftdi-dev,
Standards-Version: 4.1.4
Homepage: https://github.com/13-37-org/infnoise

Package: infnoise
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Infinite Noise TRNG driver and tools
 This package contains the driver for the Infinite Noise True Random
 Number Generator, enabling it automatically upon insertion and
 allowing the entropy it generates to be added to the system's entropy
 pool. It also includes the various tools available in the Infinite
 Noise repository, including the health check tool.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ -Dsoftware

override_dh_auto_clean:
	dh_auto_clean -Dsoftware
	dh_auto_clean -Dsoftware/tools

override_dh_auto_build:
	dh_auto_build -Dsoftware -- CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -IKeccak -DGIT_VERSION=\\\"$(DEB_VERSION_UPSTREAM)\\\" -DGIT_COMMIT=\\\"Debian\\\" -DGIT_DATE=\\\"$(shell date +%FT%T%:z -d @$(SOURCE_DATE_EPOCH))\\\""
	dh_auto_build -Dsoftware/tools -- CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)"

override_dh_auto_configure:
# Copy various files so that debhelper tools can process them
	cp software/init_scripts/infnoise.conf.systemd debian/infnoise.conf
	cp software/init_scripts/75-infnoise.rules debian/infnoise.udev
	cp software/init_scripts/infnoise.service.sbin debian/infnoise.service

override_dh_auto_install:
	for file in passgen dice entcheck healthcheck hex2bin bin2hex findlongest flipbits; do mv software/tools/$${file} software/tools/infnoise-$${file}; done

## infnoise 0.3.0+dfsg

=== software/tools/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS=-Wall -Wextra -Werror -std=c99 -O3
+CFLAGS=-Wall -Wextra -Werror -std=c99 -O3 -I /usr/include/libftdi1
 
 all: passgen healthcheck findlongest entcheck hex2bin bin2hex flipbits dice

=== debian/changelog ===
infnoise (0.3.0+dfsg-2) unstable; urgency=medium

  * Don’t allow invoke-rc.d failures to fail the installation process.
    Closes: #911270. This isn’t ideal but I’m not sure there’s a way to
    deal with hardware-dependent initscripts in all cases (with and
    without udev).

 -- Stephen Kitt <skitt@debian.org>  Sat, 20 Oct 2018 23:03:42 +0200

infnoise (0.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (The package doesn’t ship the library yet.)

 -- Stephen Kitt <skitt@debian.org>  Sat, 13 Oct 2018 20:53:02 +0200

infnoise (0.2.6+dfsg-3) unstable; urgency=medium

  * Correct the VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 Oct 2018 18:14:05 +0200

infnoise (0.2.6+dfsg-2) unstable; urgency=medium

  * Add an initscript. Closes: #910691.
  * Use UTC dates to make the build reproducible; thanks to Chris Lamb for
    the fix! Closes: #909568.
  * Set “Rules-Requires-Root: no”.
  * Add VCS URIs.
  * Include the full CC-0 license in debian/copyright.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Oct 2018 23:09:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,11 @@
 Build-Depends:
  debhelper (>= 11~),
  libftdi-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/13-37-org/infnoise
+Vcs-Browser: https://salsa.debian.org/debian/infnoise
+Vcs-Git: https://salsa.debian.org/debian/infnoise.git
+Rules-Requires-Root: no
 
 Package: infnoise
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 	dh $@ -Dsoftware
 
 override_dh_auto_clean:
-	dh_auto_clean -Dsoftware
+	make -C software -f Makefile.linux clean
 	dh_auto_clean -Dsoftware/tools
 
 override_dh_auto_build:
-	dh_auto_build -Dsoftware -- CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -IKeccak -DGIT_VERSION=\\\"$(DEB_VERSION_UPSTREAM)\\\" -DGIT_COMMIT=\\\"Debian\\\" -DGIT_DATE=\\\"$(shell date +%FT%T%:z -d @$(SOURCE_DATE_EPOCH))\\\""
+	make -C software -f Makefile.linux CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -fPIC -IKeccak -DGIT_VERSION=\\\"$(DEB_VERSION_UPSTREAM)\\\" -DGIT_COMMIT=\\\"Debian\\\" -DGIT_DATE=\\\"$(shell date --utc +%FT%T%:z -d @$(SOURCE_DATE_EPOCH))\\\""
 	dh_auto_build -Dsoftware/tools -- CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)"
 
 override_dh_auto_configure:
@@ -24,3 +24,6 @@
 
 override_dh_auto_install:
 	for file in passgen dice entcheck healthcheck hex2bin bin2hex findlongest flipbits; do mv software/tools/$${file} software/tools/infnoise-$${file}; done
+
+override_dh_installinit:
+	dh_installinit --error-handler=true

## infnoise 0.3.1%2Bgit20190812%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  libftdi-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/13-37-org/infnoise
 Vcs-Browser: https://salsa.debian.org/debian/infnoise
 Vcs-Git: https://salsa.debian.org/debian/infnoise.git
@@ -13,6 +13,7 @@
 
 Package: infnoise
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

## infnoise 0.3.1+dfsg

=== software/examples/libinfnoise/Makefile ===
GIT_VERSION := $(shell git --no-pager describe --tags --always)
GIT_COMMIT  := $(shell git rev-parse --verify HEAD)
GIT_DATE    := $(firstword $(shell git --no-pager show --date=iso-strict --format="%ad" --name-only))

PREFIX = $(DESTDIR)/usr/local

CFLAGS = -Wall -Wextra -Werror -std=c99 -O3 -fPIC -I Keccak -I /usr/include/libftdi1 \
 -DGIT_VERSION=\"$(GIT_VERSION)\"\
 -DGIT_COMMIT=\"$(GIT_COMMIT)\"\
 -DGIT_DATE=\"$(GIT_DATE)\"\

LDFLAGS= -shared

FTDI := $(shell libftdi-config --libs)

all: libinfnoise-example-simple libinfnoise-example-complex

libinfnoise-example-simple: example-simple.c
	$(CC) $(CFLAGS) -o libinfnoise-example-simple example-simple.c $(FTDI) -lm -lrt -linfnoise

libinfnoise-example-complex: example-complex.c
	$(CC) $(CFLAGS) -o libinfnoise-example-complex example-complex.c $(FTDI) -lm -lrt -linfnoise

clean:
	$(RM) libinfnoise-example* *.o

=== debian/changelog ===
infnoise (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release, with manpages.
  * Standards-Version 4.3.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 23 Feb 2019 18:20:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 11~),
  libftdi-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/13-37-org/infnoise
 Vcs-Browser: https://salsa.debian.org/debian/infnoise
 Vcs-Git: https://salsa.debian.org/debian/infnoise.git
@@ -13,7 +13,6 @@
 
 Package: infnoise
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,10 @@
 	cp software/init_scripts/infnoise.service.sbin debian/infnoise.service
 
 override_dh_auto_install:
-	for file in passgen dice entcheck healthcheck hex2bin bin2hex findlongest flipbits; do mv software/tools/$${file} software/tools/infnoise-$${file}; done
+	mkdir tmp
+	for file in passgen dice entcheck hex2bin bin2hex findlongest flipbits; do mv software/tools/$${file} software/tools/infnoise-$${file}; cp software/tools/$${file}.1 tmp/infnoise-$${file}.1; done
+	mv software/tools/healthcheck software/tools/infnoise-healthcheck
+	cp software/healthcheck.1 tmp/infnoise-healthcheck.1
 
 override_dh_installinit:
 	dh_installinit --error-handler=true

## infnoise 0.3.1+git20190812+dfsg

=== tools/Makefile ===
CFLAGS=-Wall -Wextra -Werror -std=c99 -O3 -I $(shell brew --prefix libftdi || echo /usr)/include/libftdi1
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    LIBRT=
else
    LIBRT=-lrt
endif

all: passgen healthcheck findlongest entcheck hex2bin bin2hex flipbits dice

passgen: passgen.c
	$(CC) $(CFLAGS) -o passgen passgen.c -lm

healthcheck: ../healthcheck.c
	$(CC) $(CFLAGS) -D TEST_HEALTHCHECK -o healthcheck ../healthcheck.c -lm $(LIBRT)

entcheck: entcheck.c
	$(CC) $(CFLAGS) -o entcheck entcheck.c -lm $(LIBRT)

findlongest: findlongest.c
	$(CC) $(CFLAGS) -o findlongest findlongest.c

hex2bin: hex2bin.c
	$(CC) $(CFLAGS) -o hex2bin hex2bin.c

bin2hex: bin2hex.c
	$(CC) $(CFLAGS) -o bin2hex bin2hex.c

flipbits: flipbits.c
	$(CC) $(CFLAGS) -o flipbits flipbits.c

dice: dice.c
	$(CC) $(CFLAGS) -o dice dice.c

clean:
	$(RM) passgen healthcheck findlongest entcheck hex2bin bin2hex flipbits dice

=== debian/changelog ===
infnoise (0.3.1+git20190812+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Let dh_auto_build pass cross tools to make.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Stephen Kitt ]
  * New upstream snapshot. Closes: #930876.
  * Set LINUX when building to ensure the daemon waits for the entropy
    pool instead of busy-waiting. Closes: #911587.
  * Update lintian overrides.
  * Add missing Pre-Depends.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 28 Dec 2020 18:30:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh_auto_clean -Dsoftware/tools
 
 override_dh_auto_build:
-	make -C software -f Makefile.linux CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -fPIC -IKeccak -DGIT_VERSION=\\\"$(DEB_VERSION_UPSTREAM)\\\" -DGIT_COMMIT=\\\"Debian\\\" -DGIT_DATE=\\\"$(shell date --utc +%FT%T%:z -d @$(SOURCE_DATE_EPOCH))\\\""
+	dh_auto_build --buildsystem=makefile -Dsoftware -- -f Makefile.linux CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -fPIC -IKeccak -DGIT_VERSION=\\\"$(DEB_VERSION_UPSTREAM)\\\" -DGIT_COMMIT=\\\"Debian\\\" -DGIT_DATE=\\\"$(shell date --utc +%FT%T%:z -d @$(SOURCE_DATE_EPOCH))\\\" -DLINUX"
 	dh_auto_build -Dsoftware/tools -- CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)"
 
 override_dh_auto_configure:

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%infnoise-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s%\+dfsg%%" \
   https://github.com/13-37-org/infnoise/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## infnoise 0.3.2+dfsg

=== debian/changelog ===
infnoise (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release, identical to the previous snapshot.
  * Update lintian overrides.
  * Ship the examples.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Oct 2021 22:46:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  libftdi-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/13-37-org/infnoise
 Vcs-Browser: https://salsa.debian.org/debian/infnoise
 Vcs-Git: https://salsa.debian.org/debian/infnoise.git
@@ -13,6 +13,7 @@
 
 Package: infnoise
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

## infnoise 0.3.3+dfsg

=== debian/changelog ===
infnoise (0.3.3+dfsg-2) unstable; urgency=medium

  * Build with libftdi1. Thanks Aurelien Jarno for the patch! Closes:
    #1124569.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 04 Jan 2026 09:14:00 +0100

infnoise (0.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Lintian overrides.
  * Update homepage.
  * Standards-Version 4.6.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 Feb 2023 14:12:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: infnoise
 Section: utils
-Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libftdi-dev,
-Standards-Version: 4.6.0
-Homepage: https://github.com/13-37-org/infnoise
+ libftdi1-dev,
+Standards-Version: 4.7.3
+Homepage: https://github.com/leetronics/infnoise
 Vcs-Browser: https://salsa.debian.org/debian/infnoise
 Vcs-Git: https://salsa.debian.org/debian/infnoise.git
-Rules-Requires-Root: no
 
 Package: infnoise
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 	dh_auto_clean -Dsoftware/tools
 
 override_dh_auto_build:
-	dh_auto_build --buildsystem=makefile -Dsoftware -- -f Makefile.linux CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -fPIC -IKeccak -DGIT_VERSION=\\\"$(DEB_VERSION_UPSTREAM)\\\" -DGIT_COMMIT=\\\"Debian\\\" -DGIT_DATE=\\\"$(shell date --utc +%FT%T%:z -d @$(SOURCE_DATE_EPOCH))\\\" -DLINUX"
-	dh_auto_build -Dsoftware/tools -- CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)"
+	dh_auto_build --buildsystem=makefile -Dsoftware -- -f Makefile.linux CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -fPIC -IKeccak -I/usr/include/libftdi1 -DGIT_VERSION=\\\"$(DEB_VERSION_UPSTREAM)\\\" -DGIT_COMMIT=\\\"Debian\\\" -DGIT_DATE=\\\"$(shell date --utc +%FT%T%:z -d @$(SOURCE_DATE_EPOCH))\\\" -DLINUX"
+	dh_auto_build -Dsoftware/tools -- CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -I/usr/include/libftdi1"
 
 override_dh_auto_configure:
 # Copy various files so that debhelper tools can process them
